patch
/v1/security-groups/{security_group_id}Update security group
Update a security group's name or description
Path Parameters
security_group_id
string<uuid>requiredpath
Security Group ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Request Body
requiredContent-Type: application/json
name
stringoptionaldescription
stringoptionaltags
arrayoptionalResponses
200
Security group updated
Content-Type: application/json
security_group
objectoptional400
Invalid request parameters
Content-Type: application/json
error
objectrequired401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired404
Resource not found
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X PATCH "https://api.spo1.mycloud.com/v1/security-groups/550e8400-e29b-41d4-a716-446655440000" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json" \-d '{"name": "string","description": "string","tags": ["web","frontend"]}'
Response
Security group updated
{"security_group": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:network:security-group:550e8400-e29b-41d4-a716-446655440000","name": "web-servers","description": "Security group for web servers","security_group_rules": [{"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:network:security-group-rule:550e8400-e29b-41d4-a716-446655440000","security_group_id": "550e8400-e29b-41d4-a716-446655440001","direction": "ingress","ethertype": "IPv4","protocol": "tcp","port_range_min": 80,"port_range_max": 80,"remote_ip_prefix": "0.0.0.0/0","remote_group_id": "550e8400-e29b-41d4-a716-446655440000","description": "string","created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}],"tags": ["web","frontend"],"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}}